---
## /* vim: set tabstop=2 softtabstop=2 shiftwidth=2 expandtab smarttab autoindent: */

version: '3.7'

services:
  zigbee2mqtt:
    image: 'koenkk/zigbee2mqtt:latest'
    restart: 'unless-stopped'
    networks:
    - 'traefik'
    volumes:
    - type: 'volume'
      source: 'data'
      target: '/app/data'
    - type: 'bind'
      source: '/run/udev'
      target: '/run/udev'
      read_only: true
    devices:
    - '${ZIGBEE_DEVICE:-/dev/ttyUSB0}:/dev/ttyUSB0'
    environment:
      TZ: '${TZ:-UTC}'
      ZIGBEE2MQTT_CONFIG_SERIAL_PORT: '/dev/ttyUSB0'
      ZIGBEE2MQTT_CONFIG_PERMIT_JOIN: 'false'
      ZIGBEE2MQTT_CONFIG_FRONTEND_HOST: '0.0.0.0'
      ZIGBEE2MQTT_CONFIG_FRONTEND_PORT: '8080'
      ZIGBEE2MQTT_CONFIG_MQTT_SERVER: '${MQTT_HOSTNAME:?MQTT hostname is not defined}'
      ZIGBEE2MQTT_CONFIG_MQTT_USER: '${MQTT_USERNAME:?MQTT username is not defined}'
      ZIGBEE2MQTT_CONFIG_MQTT_PASSWORD: '${MQTT_PASSWORD:?MQTT password is not defined}'
      ZIGBEE2MQTT_CONFIG_MQTT_VERSION: '${MQTT_VERSION:-5}'
    labels:
      traefik.enable: true
      traefik.docker.network: '${TRAEFIK_NETWORK:-traefik}'
      traefik.http.routers.zigbee2mqtt.rule: '${TRAEFIK_RULES:?No Traefik rules defined}'
      traefik.http.routers.zigbee2mqtt.entrypoints: 'websecure'
      traefik.http.routers.zigbee2mqtt.middlewares: '${MIDDLEWARE:?Middleware is not defined}'
      traefik.http.routers.zigbee2mqtt.service: 'zigbee2mqtt'
      traefik.http.services.zigbee2mqtt.loadbalancer.passhostheader: true
      traefik.http.services.zigbee2mqtt.loadbalancer.server.port: 8080

networks:
  traefik:
    external: true

volumes:
  data: {}
